Subject: bug#51362: python font-lock-mode in emacs 28 seems broken

From: Kévin Le Gouguec <[email-masked]>
Date: Sun, 31 Oct 2021 10:34:30 +0100

Stefan Kangas <[email-masked]> writes:

> Do you have an example file or snippet where font-lock fails?

I've tried to come up with a minimal reproducer; see attached file, and
screenshots.  In Emacs 28, the second assignment is not fontified until
the user starts editing the buffer.

I glanced at python.el's font-lock rules and tried to revert recent
changes, but tripped over conflicts.  I'm speculatively CC'ing Dario, in
case the issue looks obvious to him?

a = foo(x='a')
b = a.bar()